post
https://yourwebhook.com/loyalty/order
Purpose
This webhook event is triggered when an order is made. Deliverect sends the order details to the configured endpoint, enabling the loyalty provider to perform relevant loyalty operations, such as awarding points and deducting redeemed points.
Order Schema
For a full list of all order attributes and their definition, see the link below;
{
"accountId": "65********************e9",
"locationId": "65********************a4",
"channelLinkId": "65********************e2",
"loyaltyProfileId": "63********************a7",
"orderType": 1,
"paymentAmount": 899,
"customer":
{
"email": "[email protected]",
"phoeNumber": "+32111111111",
"name": "Jane Doe",
"loyaltyProviderCustomerId": "123"
},
"created": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
"channelOrderDisplayId": "T**4206",
"orderId": "TEST******4206",
"items":
[
{
"plu": "P-0009",
"name": "Two Tub Bundle",
"price": 1399,
"quantity": 1,
"subItems":
[
{
"plu": "M-0007",
"name": "Chocolate Ice Cream",
"price": 0,
"quantity": 1,
"subItems":[]
},
{
"plu": "M-0008",
"name": "Cherry Sorbet",
"price": 0,
"quantity": 1,
"subItems":[]
}
]
}
],
"subTotal": 1399,
"taxTotal": null,
"discountTotal": 500,
"discounts":
[
{
"name": "$5 off any order",
"programId": "1",
"type": "order_flat_off",
"amount": 500
}
],
"decimalDigits": 2,
"serviceCharge": 0,
"deliveryCost": 0,
"bagFee": 0,
"tip": 0,
"driverTip": 0,
"smallOrderFee": 0
}